package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.ResourceLoader;
import cz.jzitnik.tui.Sprite;

public class Breaking extends Sprite {
    enum BreakingState {
        FIRST,
        SECOND,
        THIRD
    }

    public String getSprite() {
        return ResourceLoader.loadResource("breaking/1.ans");
    }

    public String getSprite(Enum key) {
        return ResourceLoader.loadResource(switch (key) {
            case BreakingState.FIRST -> "breaking/1.ans";
            case BreakingState.SECOND -> "breaking/2.ans";
            case BreakingState.THIRD -> "breaking/3.ans";
            default -> throw new IllegalStateException("Unexpected value: " + key);
        });
    }
}
